import java.io.File;
import java.util.List;
import searchtools.FileFinder;
/*
 * Main.java
 *
 * Created on 14  2006 ., 11:13
 */

/**
 *   
 *  :
 * 1 -   () 
 * 2 -   ()
 * :
 * java -jar FileSearchProgram.jar C:\junit3.8.1
 * java -jar FileSearchProgram.jar C:\junit3.8.1 .*\.html
 *
 * @author  
 * http://www.vova-prog.narod.ru
 */
public class Main {
    
    /**   Main */
    public Main() {
    }
    
    /**
     * @param args[0]   () 
     * @param args[1]  
     */
    public static void main(String[] args) {
        //,    
        if(args != null && args.length >= 1) {
            FileFinder finder = new FileFinder();
            try {
                List searchRes = null;
                //   ...
                if(args.length == 2) {
                    //...   
                    searchRes = finder.findAll(args[0], args[1]);
                }
                // ...
                else {
                    //...  
                    searchRes = finder.findAll(args[0]);
                }
                // 
                for(int i = 0; i < searchRes.size(); i++) {
                    File curObject = (File)searchRes.get(i);
                    if(curObject.isDirectory()) {
                        System.out.println(
                                curObject.getName() + " ()");
                    }
                    else {
                        System.out.println(curObject.getName()
                                + " (" + curObject.length() + " )");
                    }
                }
                System.out.println(" " + finder.getFilesNumber() +
                        "   " + finder.getDirectoriesNumber() +
                        " .");
            }
            catch(Exception err) {
                System.out.println(err.getMessage());
            }
        }
        else {
            System.out.println("   .\n" +
                    "_ <_>\n");
        }
    }
    
}
